
QGIS Application - Bug report #8799

Document closes on failure to find data files for layers on open

2013-10-08 02:20 PM - James Harvey

Status: Closed

Priority: Normal

Assignee:

Category: Browser

Affected QGIS version:2.0.1 Regression?: No

Operating System: Mac and PC Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 17500

Description

I have a project that I move between Mac and PC, but I have two different drive names. Sometimes when I move the project file and data

files between computers I get the message on document loading to re link the data files. I relink the data files so they are green and apply

the change, and then continue, but then it says the files are still not linked and the document quits (QGIS app is left still open).

Sometimes I have opened the QGIS file to edit the data links in a text editor to get the document open on my other platform, but I will still

get that message window requesting a layer needs to update the data file link - even though it shows up in green.

It would be nice that when a project document is opened and there are missing files, that it can look to scan the same directory / sub

directory that you point to. Like some other applications work with pointing to the file and then it can update.

I also get the problem sometimes with links to vector symbols dropping out when moving projects between Mac & PC.

It would be good also to improve the stability of opening if layers can't be found and improve this for moving project files between Mac &

PC.

History

#1 - 2013-10-14 03:27 PM - James Harvey

Update: Should be set to the QGIS application for the category type rather than the browser.

#2 - 2017-04-30 09:56 PM - Giovanni Manghi

- Status changed from Open to Closed

#3 - 2017-04-30 09:57 PM - Giovanni Manghi

- Resolution set to wontfix

- Easy fix? set to No

- Regression? set to No

#4 - 2017-04-30 10:00 PM - Giovanni Manghi

Standalone browser have been removed from QGIS3 code base and the decision was to not do any fix/enhancement for the 2.18.* releases. If the

issues/feature request do also apply to the QGIS browser (the one integrated in the main program) please file again the issue/feature request using

"Browser (QGIS Desktop)" as category. Thanks.
